## cxxtest 4.0.3

=== doc/Makefile ===

html: guide.txt anchors outputs
	asciidoc -v -b html -d article -n -a toc guide.txt

pdf: guide.txt anchors outputs
	a2x -a toc -L -d article -f pdf -v --dblatex-opts "-P latex.output.revhistory=0 -P doc.collab.show=1 -P toc.section.depth=2" guide.txt

epub: guide.txt anchors outputs
	export XML_CATALOG_FILES=export XML_CATALOG_FILES="catalog.xml"; a2x -L -f epub -d article --verbose --xsltproc-opts "--stringparam toc.section.depth 2 --stringparam generate.section.toc.level 1" guide.txt

all: html pdf epub

anchors:
	python include_anchors.py guide.txt 

outputs:
	../bin/cxxtestgen -h > examples/cxxtestgen.out

clean:
	- \rm -f guide.xml
	- \rm -f examples/.*.py examples/.*.h examples/.*.cpp examples/.*.sh examples/runner examples/TEST*.xml examples/parsetab.py examples/*.orig examples/runner.cpp

=== test/Makefile ===
#
# Some convenient ways of running the self tests
#

all: gcc

clean:
	rm -f *p[ly].out *px *px.out *build.log *root.cpp parsetab.py *.gcno *.gcda ../cxxtest/*.gcno ../cxxtest/*.gcda ../sample/*.gcno ../sample/*.gcda Test*.cpp *.gcov *.pre rm Samples.txt
	rm -Rf *.dSYM

=== debian/changelog ===
cxxtest (4.0.3-2) unstable; urgency=low

  * Merged the package's old description with the upstream one.
  * Updated debian/copyright file setting the right license keyword for
    source files.
  * Python private modules are now installed in a private folder.

 -- Simone Rossetto <simros85@gmail.com>  Thu, 05 Apr 2012 21:38:57 +0200

cxxtest (4.0.3-1) unstable; urgency=low

  * New upstream version (Closes: #606373)

 -- Simone Rossetto <simros85@gmail.com>  Thu, 01 Mar 2012 20:55:29 +0100

cxxtest (3.10.1-1) UNRELEASED; urgency=low

  * Initial release.
  * Patched the source files to make QtGui.h compatbile even with Qt4.
  * Patched the original documentation to reflect the Debian installation
    paths of CxxTest generators.

 -- Simone Rossetto <simros85@gmail.com>  Mon, 05 Sep 2011 21:26:40 +0200

=== debian/control ===
Source: cxxtest
Section: devel
Priority: optional
Maintainer: Simone Rossetto <simros85@gmail.com>
Build-Depends: python (>= 2.7),
 python-setuptools,
 debhelper (>= 8.0.0),
 cdbs (>= 0.4.90~)
X-Python-Version: >= 2.7
Standards-Version: 3.9.3
Homepage: http://cxxtest.com/
Vcs-Svn: https://cxxtest.svn.sourceforge.net/svnroot/cxxtest
Vcs-Browser: http://cxxtest.svn.sourceforge.net/viewvc/cxxtest/

Package: cxxtest
Architecture: all
Depends: ${python:Depends}, python-ply, ${misc:Depends}
Description: lightweight xUnit-like framework for C/C++ applications
 CxxTest is a unit testing framework for C++ that is similar in spirit to
 JUnit, CppUnit, and xUnit. It provides assertions for checking conditions
 and classes for defining unit-test cases.
 .
 CxxTest is easy to use because it does not require precompiling a CxxTest
 testing library, it employs no advanced features of C++ (e.g. RTTI) and it
 supports a very flexible form of test discovery, which simplifies the creation
 of test drivers. It includes a script that parses C++ files that define unit
 tests and then generates a C++ test runner. When compiled, the test runner
 manages the execution of all unit tests in a flexible manner.
 .
 An Eclipse plugin is also available that manages the generation and execution
 of CxxTest test runners.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=.svn:.cvsignore:CVS

DEB_PYTHON2_MODULE_PACKAGES = cxxtest
DEB_PYTHON_DISTUTILS_SRCDIR = $(CURDIR)/python

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb --install-lib=/usr/share/cxxtest --install-script=/usr/share/cxxtest
DEB_INSTALL_CHANGELOGS_ALL += Versions

clean::
	rm -fr "$(CURDIR)/build/"
	rm -fr "$(CURDIR)/python/cxxtest.egg-info/"
#	find "$(DEB_PYTHON_DISTUTILS_SRCDIR)" -prune -name '*.egg-info' -exec rm -rf '{}' ';'

## cxxtest 4.2.1

=== doc/Makefile ===
.PHONY: all anchors outputs clean

export XML_CATALOG_FILES = catalog.xml
PY = python
XSLTPROC_OPTS := --stringparam toc.section.depth 2 --stringparam generate.section.toc.level 1
DBLATEX_OPTS  := -P latex.output.revhistory=0 -P doc.collab.show=1 -P toc.section.depth=2
A2X_OPTS      := -a toc -a icons -L -d article -v --xsltproc-opts "$(XSLTPROC_OPTS)" --dblatex-opts "$(DBLATEX_OPTS)"

%.html: %.txt anchors outputs
	asciidoc -a data-uri -v -b html -d article -n -a toc2 -a icons $<

# Ignore errors (dblatex may not be installed)
%.pdf: %.txt anchors outputs
	- a2x -f pdf $(A2X_OPTS) $<

# Ignore errors
%.epub: %.txt anchors outputs
	- a2x -f epub $(A2X_OPTS) $<
manpages: 
	cd man; ./create_manpage;
	cd man; asciidoc -v -d manpage ./cxxtestgen.1.txt
	cd man; a2x -d manpage -f manpage ./cxxtestgen.1.txt

html: guide.html

pdf: guide.pdf

epub: guide.epub

all: guide.html guide.pdf guide.epub

anchors: guide.txt
	$(PY) include_anchors.py $<

outputs:
	../bin/cxxtestgen -h > examples/cxxtestgen.out

clean:
	- \rm -f guide.xml
	- \rm -f examples/.*.py examples/.*.h examples/.*.cpp examples/.*.sh examples/runner examples/TEST*.xml examples/parsetab.py examples/*.orig examples/runner.cpp

=== debian/changelog ===
cxxtest (4.2.1-2) unstable; urgency=low

  * Fix "cxxtest tries to download files from the net during the build"
    added dependency on docbook-xsl package. (Closes: #706720)
  * Updated debian/control Standards-Version to 3.9.4.

 -- Simone Rossetto <simros85@gmail.com>  Sat, 04 May 2013 09:17:37 +0200

cxxtest (4.2.1-1) unstable; urgency=low

  * New upstream version.
  * Updated the copyright license of the "debian" subfolder and of the whole
    package following decision of the upstream authors to switch to LGPL-3.

 -- Simone Rossetto <simros85@gmail.com>  Sun, 17 Mar 2013 09:29:57 +0100

cxxtest (4.1-1) unstable; urgency=low

  * New upstream version.

 -- Simone Rossetto <simros85@gmail.com>  Tue, 05 Mar 2013 10:34:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,13 @@
 Build-Depends: python (>= 2.7),
  python-setuptools,
  debhelper (>= 8.0.0),
- cdbs (>= 0.4.90~)
+ cdbs (>= 0.4.90~),
+ asciidoc (>= 8.5),
+ docbook-xsl (>=1.76),
+ dblatex,
+ source-highlight
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://cxxtest.com/
 Vcs-Svn: https://cxxtest.svn.sourceforge.net/svnroot/cxxtest
 Vcs-Browser: http://cxxtest.svn.sourceforge.net/viewvc/cxxtest/
@@ -26,6 +30,3 @@
  of test drivers. It includes a script that parses C++ files that define unit
  tests and then generates a C++ test runner. When compiled, the test runner
  manages the execution of all unit tests in a flexible manner.
- .
- An Eclipse plugin is also available that manages the generation and execution
- of CxxTest test runners.

=== debian/watch ===
version=3
http://sf.net/cxxtest/cxxtest-([0-9]+.+)\.tar\.gz

## cxxtest 4.3

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: all anchors outputs clean
+.PHONY: all anchors outputs clean manpages
 
 export XML_CATALOG_FILES = catalog.xml
 PY = python
@@ -16,18 +16,18 @@
 # Ignore errors
 %.epub: %.txt anchors outputs
 	- a2x -f epub $(A2X_OPTS) $<
+
+all: guide.html guide.pdf guide.epub
+
 manpages: 
 	cd man; ./create_manpage;
 	cd man; asciidoc -v -d manpage ./cxxtestgen.1.txt
-	cd man; a2x -d manpage -f manpage ./cxxtestgen.1.txt
 
 html: guide.html
 
 pdf: guide.pdf
 
 epub: guide.epub
-
-all: guide.html guide.pdf guide.epub
 
 anchors: guide.txt
 	$(PY) include_anchors.py $<

=== debian/changelog ===
cxxtest (4.3-1) unstable; urgency=low

  * New upstream version.
  * Added dependency on python-coverage (required by new upstream sources).
  * Copied manpage file from version 4.2.1-2 because that file is required
    to build this package but it is missing in the current upstream tarball.
  * Updated debian/watch file to be more flexible with tarball extensions.
  * Updated debian/control Standards-Version to 3.9.5.

 -- Simone Rossetto <simros85@gmail.com>  Sat, 02 Nov 2013 08:47:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Simone Rossetto <simros85@gmail.com>
 Build-Depends: python (>= 2.7),
  python-setuptools,
+ python-coverage,
  debhelper (>= 8.0.0),
  cdbs (>= 0.4.90~),
  asciidoc (>= 8.5),
@@ -11,10 +12,8 @@
  dblatex,
  source-highlight
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://cxxtest.com/
-Vcs-Svn: https://cxxtest.svn.sourceforge.net/svnroot/cxxtest
-Vcs-Browser: http://cxxtest.svn.sourceforge.net/viewvc/cxxtest/
 
 Package: cxxtest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb --install-lib=/usr/share/cxxtest --install-script=/usr/share/cxxtest
 DEB_INSTALL_CHANGELOGS_ALL += Versions
 
+
+build:
+	make -C doc all
+
 clean::
 	rm -fr "$(CURDIR)/build/"
 	rm -fr "$(CURDIR)/python/cxxtest.egg-info/"

## cxxtest 4.4

=== build_tools/SCons/test/empty_source_list/SConstruct ===
env = Environment(toolpath=['../../'],tools=['default','cxxtest'])

env.CxxTest('test_bar')
env.CxxTest('test_foo')

=== build_tools/SCons/test/multifile_tests/SConstruct ===
env = Environment(toolpath=['../../'],tools=['default','cxxtest'])

env.CxxTest('joint_tests',
    Split('src/test_foo.t.h '
          'src/test_bar.t.h '
          'src/requirement.cpp'
          )
          )

=== debian/changelog ===
cxxtest (4.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: asciidoc-dblatex (Closes: #851029).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 21 Jan 2017 22:51:45 +0500

cxxtest (4.4-2) unstable; urgency=low

  * Always build full package (closes: #831929).
  * Make rebuildable.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Jul 2016 19:57:52 +0000

cxxtest (4.4-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .
  * New maintainer (closes: #787237).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 May 2015 16:21:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: cxxtest
 Section: devel
 Priority: optional
-Maintainer: Simone Rossetto <simros85@gmail.com>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: python (>= 2.7),
+ dh-python,
  python-setuptools,
  python-coverage,
- debhelper (>= 8.0.0),
+ debhelper (>= 9),
  cdbs (>= 0.4.90~),
  asciidoc (>= 8.5),
+ asciidoc-dblatex,
  docbook-xsl (>=1.76),
  dblatex,
  source-highlight
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://cxxtest.com/
 
 Package: cxxtest

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
 export DH_OPTIONS
 export DH_ALWAYS_EXCLUDE=.svn:.cvsignore:CVS
 
@@ -11,6 +16,7 @@
 DEB_PYTHON_INSTALL_ARGS_ALL += --install-layout=deb --install-lib=/usr/share/cxxtest --install-script=/usr/share/cxxtest
 DEB_INSTALL_CHANGELOGS_ALL += Versions
 
+build/cxxtest:: build
 
 build:
 	make -C doc all
@@ -18,5 +24,12 @@
 clean::
 	rm -fr "$(CURDIR)/build/"
 	rm -fr "$(CURDIR)/python/cxxtest.egg-info/"
+	rm -f "$(CURDIR)/doc/guide.epub"
+	rm -f "$(CURDIR)/doc/guide.html"
+	rm -f "$(CURDIR)/doc/guide.pdf"
+	rm -f "$(CURDIR)/doc/examples/.MyTestSuite2_.h"
+	rm -f $(CURDIR)/doc/examples/.Assertions*
+	rm -f $(CURDIR)/doc/examples/.buildRunner*
+	rm -f "$(CURDIR)/doc/examples/cxxtestgen.out"
 #	find "$(DEB_PYTHON_DISTUTILS_SRCDIR)" -prune -name '*.egg-info' -exec rm -rf '{}' ';'

## cxxtest 4.4%2Bgit230824

=== doc/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 all: guide.html guide.pdf guide.epub
 
-manpages: 
+manpages:
 	cd man; ./create_manpage;
 	cd man; asciidoc -v -d manpage ./cxxtestgen.1.txt

=== debian/watch ===
version=4
https://github.com/CxxTest/cxxtest/tags .+/[vV]?(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cxxtest 4.4+git171022

=== build_tools/SCons/test/string_cpppath/SConstruct ===

env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest'],
    CXXTEST_INSTALL_DIR = '../../../../',
    CPPPATH = 'src/cpppathdir/'
    )

env.CxxTest(['src/cpppath.t.h'])

=== debian/changelog ===
cxxtest (4.4+git171022-1ubuntu1) focal; urgency=medium

  * Build-depend on python-all.
  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 15:49:02 +0100

cxxtest (4.4+git171022-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:32:06 +0000

cxxtest (4.4+git171022-1) unstable; urgency=medium

  * New git snapshot release.
  * Update debhelper level to 10 .
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Nov 2018 10:33:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: python (>= 2.7),
+Build-Depends: python-all,
  dh-python,
  python-setuptools,
  python-coverage,
- debhelper (>= 9),
- cdbs (>= 0.4.90~),
+ debhelper (>= 10),
+ cdbs,
  asciidoc (>= 8.5),
  asciidoc-dblatex,
  docbook-xsl (>=1.76),
  dblatex,
  source-highlight
-X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
-Homepage: http://cxxtest.com/
+#X-Python-Version: >= 2.7
+Standards-Version: 4.2.1
+Homepage: https://cxxtest.com/
 
 Package: cxxtest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+PATH := $(PATH):$(CURDIR)/debian/bin
+export PATH
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

=== debian/watch ===
version=3
http://sf.net/cxxtest/cxxtest-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cxxtest 4.4+git230824

=== sample/SCons/SConstruct ===

cxxtestbuilder_path = '../../build_tools/SCons/cxxtest.py'
cxxtest_path = '../..'

# First a bit of python magic to make the CxxTestBuilder available
# without having to copy it into a particular path.
# for nicer examples you *should* use, see the cxxtest builder tests in the
# build_tools/SCons/test directory.
import imp
cxxtest = imp.load_source('cxxtest', cxxtestbuilder_path)

# First build the 'real' library, when working on an embedded system
# this may involve a cross compiler.
env = Environment()
env.BuildDir('build/embedded_platform', 'src')
env.Append(CPPPATH=['include'])
libtested = env.StaticLibrary('build/embedded_platform/tested',
                              env.Glob('build/embedded_platform/*.c'))

# Now create a seperate build environment for the tests so we can keep any
# options that are specific to testing  seperate from the 'production' build
# environment. For simplicity I am just copying the production environment.
# If we are cross compiling for the "real" library, then this
# environement might be using the normal compiler.
env_test = env.Clone()

# Add the CxxTestBuilder to our testing build environment.
cxxtest.generate(env_test, CXXTEST_INSTALL_DIR = cxxtest_path)

# If we were working with an embedded platform we may want to create a
# seperate version of our library that runs on our development box in
# order to do our initial unit testing. This version may also include
# any special preprocessor defines needed for testing e.g. -DTESTING
env_test.BuildDir('build/dev_platform', 'src')
env_test.BuildDir('build/tests', 'tests')
lib_to_test = env_test.StaticLibrary('build/dev_platform/tested',
                                     env.Glob('build/dev_platform/*.c'))
env_test.Append(LIBS=lib_to_test)
env_test.CxxTest(env_test.Glob('tests/*.h'))

=== sample/mock/Makefile ===
all: roll run

clean:
	rm -f *~ *.o roll test test.cpp

CXXTEST = ../..
CCFLAGS = -I. -I$(CXXTEST)

roll: roll.o Dice.o real_stdlib.o
	g++ -o $@ $^

run: test
	./test

test: test.o Dice.o mock_stdlib.o
	g++ -o $@ $^

.cpp.o:
	g++ -c -o $@ $(CCFLAGS) $<

test.cpp: TestDice.h
	$(CXXTEST)/bin/cxxtestgen -o $@ --error-printer $<

=== sample/winddk/Makefile ===
# Standard DDK Makefile
!include $(NTMAKEENV)\makefile.def

=== build_tools/SCons/test/expanding_#/SConstruct ===
env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest'],
    CXXTEST='./../../../../bin/cxxtestgen'
    )

env['CXXTEST_SKIP_ERRORS'] = True
env.CxxTest(['src/ThrowNoStd.h'])
env.CxxTest(['src/AborterNoThrow.h'])
env.CxxTest(['src/Comments.h'])

=== build_tools/SCons/test/globbing/SConstruct ===
env = Environment(toolpath=['../../'],tools=['default','cxxtest'])

env.CxxTest('joint_tests',[Glob('src/*.t.h'), 'src/requirement.cpp'])

=== build_tools/SCons/test/include_CXXFLAGS/SConstruct ===
flags = '-Weffc++ -Wall -Wextra -std=gnu++0x'
env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest'],
    CCFLAGS = Split(flags) + ['-pedantic-errors'],
    CXXFLAGS = Split(flags) + ['-pedantic-errors']
    )

env['CXXTEST_CXXFLAGS_REMOVE']=['-Weffc++','-Wextra','-Wall','-W']
env['CXXTEST_CCFLAGS_REMOVE']='-Weffc++ -Wextra -Wall -W'
env['CCFLAGS'] = flags
env['CXXFLAGS'] = flags
env['CXXTEST_SKIP_ERRORS'] = True

env.CxxTest(['src/not-with-pedantic.h'])

=== build_tools/SCons/test/libpath_multitarget/SConstruct ===
env = Environment(toolpath=['../../'],tools=['default','cxxtest'])

SConscript(['src1/SConscript', 'src2/SConscript', 'test/SConscript'], exports =  ['env'])

=== build_tools/SCons/test/need_cpppath/SConstruct ===

env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest'],
    CXXTEST_INSTALL_DIR = '../../../../',
    CPPPATH = ['src/cpppathdir/']
    )

env.CxxTest(['src/cpppath.t.h'])

=== build_tools/SCons/test/printer_propagation/SConstruct ===

env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest'],
    CXXTEST_INSTALL_DIR = '../../../../',
    )

env.CxxTest(['src/failtest.t.h'], CPPPATH=['#'], CXXTEST_RUNNER="CrazyRunner")

=== build_tools/SCons/test/target_syntax/SConstruct ===

env = Environment(
    toolpath=['../../'],
    tools=['default','cxxtest'],
    CXXTEST_INSTALL_DIR = '../../../../',
    CPPPATH = ['src/cpppathdir/']
    )

env.CxxTest('src/cpppath')

=== debian/changelog ===
cxxtest (4.4+git230824-1) unstable; urgency=medium

  * New git snapshot release:
    - fixes Python SyntaxWarnings (closes: #996394).
  * Change homepage to official Git source page (closes: #1082255).
  * Switch to short debhelper rules format (closes: #1099810).
  * Update Standards-Version to 4.7.2 .
  * Update debhelper level to 13 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Aug 2025 17:17:50 +0200

cxxtest (4.4+git171022-2) unstable; urgency=medium

  * Update doc-base links.
  * Update cdbs clean target.
  * Update watch file.
  * Update Standards-Version to 4.5.0 .

  [ Sandro Tosi <morph@debian.org> ]
  * Switch to python3 (closes: 939481).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Jul 2020 07:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: python-all,
+Build-Depends: python3,
  dh-python,
- python-setuptools,
- python-coverage,
- debhelper (>= 10),
- cdbs,
+ python3-setuptools,
+ python3-coverage,
+ debhelper-compat (= 13),
  asciidoc (>= 8.5),
  asciidoc-dblatex,
  docbook-xsl (>=1.76),
  dblatex,
  source-highlight
-#X-Python-Version: >= 2.7
-Standards-Version: 4.2.1
-Homepage: https://cxxtest.com/
+Standards-Version: 4.7.2
+Homepage: https://github.com/CxxTest/cxxtest
 
 Package: cxxtest
 Architecture: all
-Depends: ${python:Depends}, python-ply, ${misc:Depends}
+Depends: ${python3:Depends}, python3-ply, ${misc:Depends}
 Description: lightweight xUnit-like framework for C/C++ applications
  CxxTest is a unit testing framework for C++ that is similar in spirit to
  JUnit, CppUnit, and xUnit. It provides assertions for checking conditions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = cxxtest
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/cxxtest --install-script=/usr/share/cxxtest

pybuild_opts := --buildsystem=pybuild -- --dir $(CURDIR)/python


override_dh_auto_clean:
	dh_auto_clean $(pybuild_opts)

override_dh_auto_configure:
	@echo No configuration step exists

override_dh_auto_build:
	dh_auto_build $(pybuild_opts)
	$(MAKE) -C doc all PY=python3

override_dh_auto_test:
	@echo No self-testing step exists

override_dh_auto_install:
	dh_auto_install $(pybuild_opts)

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/Versions

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_clean override_dh_auto_configure \
	override_dh_auto_build override_dh_auto_test \
	override_dh_auto_install override_dh_installchangelogs
